Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Interface Validating

All Known Implementing Classes:
  CayenneDataObject

    public interface Validating

Defines a number of callback methods that allow an object to be validated before safe. Entity class can implement this interface and its methods will be called automatically.

Since:
  3.0
Author:
  Andrus Adamchik

Method Summary
`void` | `validateForDelete(ValidationResult validationResult)` Performs property validation of the DELETED object, appending any validation failures to the provided validationResult object.
`void` | `validateForInsert(ValidationResult validationResult)` Performs property validation of the NEW object, appending any validation failures to the provided validationResult object.
`void` | `validateForUpdate(ValidationResult validationResult)` Performs property validation of the MODIFIED object, appending any validation failures to the provided validationResult object.

Method Detail

### validateForInsert

    void validateForInsert(ValidationResult validationResult)

  Performs property validation of the NEW object, appending any validation failures to the provided validationResult object. This method is invoked by ObjectContext before committing a NEW object to the database.

### validateForUpdate

    void validateForUpdate(ValidationResult validationResult)

  Performs property validation of the MODIFIED object, appending any validation failures to the provided validationResult object. This method is invoked by ObjectContext before committing a MODIFIED object to the database.

### validateForDelete

    void validateForDelete(ValidationResult validationResult)

  Performs property validation of the DELETED object, appending any validation failures to the provided validationResult object. This method is invoked by ObjectContext before committing a DELETED object to the database.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.